# Dotfiles

## NixOS

Install instructions:

```bash
sudo parted /dev/nvme0n1 -- mklabel gpt
sudo parted /dev/nvme0n1 -- mkpart ESP fat32 1MB 512MB
sudo parted /dev/nvme0n1 -- mkpart root ext4 512MB 100%
sudo parted /dev/nvme0n1 -- set 1 esp on

sudo mkfs.fat -F 32 -n BOOT /dev/nvme0n1p1
sudo mkfs.ext4 -L NixOS /dev/nvme0n1p2

sudo mount /dev/disk/by-label/NixOS /mnt
sudo mkdir -p /mnt/boot
sudo mount -o umask=077 /dev/disk/by-label/BOOT /mnt/boot
sudo nixos-generate-config --root /mnt

nix-shell -p git vim
```

Then either clone the repository:

```
git clone https://git.thomasave.be/thomasave/Dotfiles
sudo nixos-install --impure --flake ./Dotfiles#Kell
mv ./Dotfiles /mnt/home/user/.dotfiles
sudo ln -s /home/user/.dotfiles /mnt/etc/nixos
```

Or install it directly:

```
sudo nixos-install --impure --flake git+https://git.thomasave.be/thomasave/Dotfiles#Kell
```
